Boost 1.41 removed from Lucid

Asked by Russel Winder on 2010-04-22

Debian has all the Boost 1.41 packages and these were accepted into Lucid -- I know I have them installed. They have now been removed, leaving only the default of 1.40. Why were these packages removed from Lucid whilst they remain in Debian?

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
Mark Nevill
Solved:
2010-04-22
Last query:
2010-04-22
Last reply:
2010-04-22
Best Mark Nevill (nevillm) said : #1

I've found the (rather unsatisfactory) explanation: Debian deleted 1.41 from testing & unstable as they now have 1.42. Lucid hasn't got 1.42, probably due to the package freeze... but performed the deletion anyway. So now Debian has 1.40 and 1.42 while Ubuntu just has 1.40. Awesome.

Russel Winder (russel) said : #2

Mark,

Thanks for digging out that info, it certainly answers the question of what probably happened.

Sadly I think this is an indicator that there is something fundamentally problematic about the Ubuntu relationship with Debian. Given Debian Testing now has 1.42, it is probably the platform of choice over Ubuntu.

Russel Winder (russel) said : #3

Thanks Mark Nevill, that solved my question.